ShiwakeDocs
Banking holds

/banking/holds

GET
/api/v1/banking/holds
X-Api-Key<token>

Tenant API key (sk_live_…), minted from the platform console.

In: header

Query Parameters

status?string

Value in

  • "Active"
  • "Captured"
  • "Released"
  • "Expired"
walletId?string
take?integer
Formatint32
Default100

Response Body

application/json

curl -X GET "https://example.com/api/v1/banking/holds"
{  "message": "string",  "code": 0,  "data": [    {      "id": "string",      "accountId": "string",      "walletId": "string",      "walletName": "string",      "amount": 0,      "currency": "string",      "reference": "string",      "status": "string",      "journalEntryId": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "createdBy": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
Edit on GitHub

Last updated on